(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    213523,       4267]
NotebookOptionsPosition[    211739,       4231]
NotebookOutlinePosition[    212173,       4248]
CellTagsIndexPosition[    212130,       4245]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.815307560872032*^9, 3.8153075642667866`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"598afc19-aa3f-4a0c-85db-d3be449b5c22"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"h", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"h", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "h"}], "}"}]}], "}"}], ",", 
    RowBox[{"pesos", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "4", ",", "5", ",", "1", ",", "2", ",", "5", ",", "5", ",", "4", ",", 
       "2", ",", "8", ",", "2", ",", "8", ",", "8", ",", "5", ",", "1", ",", 
       "2", ",", "1", ",", "1"}], "}"}]}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"PesosAristas", "[", "grafo", "]"}]}], "Input",
 CellChangeTimes->{{3.815308913625677*^9, 3.815308924386655*^9}, {
  3.8153089550520906`*^9, 3.81530896150486*^9}, {3.815309204014838*^9, 
  3.8153092249661913`*^9}, {3.8153092731878724`*^9, 3.81530927687047*^9}, {
  3.8153093193328705`*^9, 3.815309386557809*^9}, {3.815552737809373*^9, 
  3.8155527516890335`*^9}, {3.8156426601260586`*^9, 3.815642672961337*^9}, {
  3.815643052303134*^9, 3.8156430560236163`*^9}, {3.815643525849556*^9, 
  3.8156435262260284`*^9}, {3.8157303422211866`*^9, 3.8157303607061653`*^9}, {
  3.815730626671773*^9, 3.8157306270890856`*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"0312fbe1-beee-4214-a682-8b26901d033d"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 6}, {
       7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {4, 
       8}}}, {EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
         UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
         UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
         UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
         UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
         UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
         UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
         UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
         UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
         UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
         UndirectedEdge[$CellContext`h, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
         UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 4}, 
       EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
          0.20015984345448212`}}], 
         InsetBox["4", {0.4550680170279462, 0.3927305120695363}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
          1.2916885428553262`}}], 
         InsetBox["5", {0.2866686596726501, 0.9384948617699583}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
          0.7769772748437366}}], 
         InsetBox["1", {0.5645659826129277, 0.6811392277641635}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
          0.5733373193453002, 1.2916885428553262`}}], 
         InsetBox["5", {0.7417366767005963, 0.7459241931549041}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
          1.9797153203022173`, 0.}}], 
         InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
          1.9550156041338091`, 0.6716044747431269}}], 
         InsetBox["5", {1.4325758190948508, 0.4358821590988045}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
          1.1291319652258553`, 0.7769772748437366}}], 
         InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
          1.7777542928658772`, 1.5143543918029596`}}], 
         InsetBox["8", {1.1755458061055886, 1.4030214673291428}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
          1.1291319652258553`, 0.7769772748437366}}], 
         InsetBox["2", {0.8512346422855778, 1.0343329088495314}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
          0.6716044747431269}}], 
         InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
          0.7769772748437366}}], 
         InsetBox["4", {1.5544236427640363, 0.3884886374218683}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
          0.8570722002395988}}], 
         InsetBox["1", {2.372333463880179, 0.4285361001197994}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
          1.7777542928658772`, 1.5143543918029596`}}], 
         InsetBox["2", {1.8663849484998432, 1.0929794332730434}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
          1.1291319652258553`, 0.7769772748437366}}], 
         InsetBox["8", {1.5420737846798322, 0.7242908747934318}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
          2.7649516074581406`, 0.8570722002395988}}], 
         InsetBox["2", {2.359983605795975, 0.7643383374913628}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
          1.1291319652258553`, 0.7769772748437366}}], 
         InsetBox["2", {1.4534431290458663, 1.145665833323348}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
          2.7649516074581406`, 0.8570722002395988}}], 
         InsetBox["1", {2.271352950162009, 1.1857132960212793}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
         InsetBox["a", 
          Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9101360340558924, 0.20015984345448212}, 
          0.02852985859405388], 
         InsetBox["d", 
          Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.5733373193453002, 1.2916885428553262}, 
          0.02852985859405388], 
         InsetBox["f", Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
         InsetBox["b", 
          Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9550156041338091, 0.6716044747431269}, 
          0.02852985859405388], 
         InsetBox["g", 
          Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7777542928658772, 1.5143543918029596}, 
          0.02852985859405388], 
         InsetBox["c", 
          Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1291319652258553, 0.7769772748437366}, 
          0.02852985859405388], 
         InsetBox["e", 
          Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.7649516074581406, 0.8570722002395988}, 
          0.02852985859405388], 
         InsetBox["h", 
          Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8153089621456594`*^9, 3.8153090399956026`*^9, 3.815309226023157*^9, 
   3.8153092926252217`*^9, {3.815309325205248*^9, 3.8153093873359613`*^9}, 
   3.8153094429762125`*^9, {3.8155527477283144`*^9, 3.815552752157777*^9}, 
   3.8156426736514597`*^9, 3.815643056482792*^9, 3.8156435270849867`*^9, 
   3.815643583568421*^9, {3.815730355543331*^9, 3.8157303620610385`*^9}, 
   3.8157306276274943`*^9, 3.8157603690922313`*^9, 3.815762103106332*^9, 
   3.815767973497838*^9},
 CellLabel->"Out[70]=",ExpressionUUID->"839cd7ae-9a8d-48ea-b483-df03475c8eb3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "d"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"d", "\[UndirectedEdge]", "b"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"g", "\[UndirectedEdge]", "c"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"d", "\[UndirectedEdge]", "f"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"e", "\[UndirectedEdge]", "b"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"e", "\[UndirectedEdge]", "c"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"e", "\[UndirectedEdge]", "d"}], ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"e", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"e", "\[UndirectedEdge]", "g"}], ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "\[UndirectedEdge]", "c"}], ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"g", "\[UndirectedEdge]", "b"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"h", "\[UndirectedEdge]", "c"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "e"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", "1"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.8153089621456594`*^9, 3.8153090399956026`*^9, 3.815309226023157*^9, 
   3.8153092926252217`*^9, {3.815309325205248*^9, 3.8153093873359613`*^9}, 
   3.8153094429762125`*^9, {3.8155527477283144`*^9, 3.815552752157777*^9}, 
   3.8156426736514597`*^9, 3.815643056482792*^9, 3.8156435270849867`*^9, 
   3.815643583568421*^9, {3.815730355543331*^9, 3.8157303620610385`*^9}, 
   3.8157306276274943`*^9, 3.8157603690922313`*^9, 3.815762103106332*^9, 
   3.815767973497838*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"b61ac4b5-8bd9-4293-b7e4-4f7bad3c8328"]
}, Open  ]],

Cell["Prim:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.8153368075241904`*^9}, {3.815413551480497*^9, 
  3.815413561674924*^9}},ExpressionUUID->"be6923f6-dd48-4f50-92e7-\
5fb863176d80"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"ResaltarRuta", "[", 
    RowBox[{"grafo", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a", ",", "e"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"e", ",", "c"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"c", ",", "h"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"h", ",", "b"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b", ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"c", ",", "g"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"e", ",", "f"}], "}"}]}], "}"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "edge"}], "]"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"edge", ",", 
     RowBox[{
      RowBox[{"CantNodos", "[", "grafo", "]"}], "-", "1"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.8156436415588937`*^9},
 CellLabel->"In[72]:=",ExpressionUUID->"36aff65d-196e-4e24-9b91-654a9dfb6591"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`a, $CellContext`e]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9797153203022173`, 0.}}], 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
            0.8570722002395988}}], 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`e, $CellContext`c]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9797153203022173`, 0.}}], 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
            0.8570722002395988}}], 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`e, $CellContext`c]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9797153203022173`, 0.}}], 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
            0.8570722002395988}}], 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`e, $CellContext`c]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9797153203022173`, 0.}}], 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`d, $CellContext`b], 
           UndirectedEdge[$CellContext`e, $CellContext`c]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
             1.9797153203022173`, 0.}}]}, 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`g, $CellContext`c], 
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`d, $CellContext`b], 
           UndirectedEdge[$CellContext`e, $CellContext`c]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
             1.9797153203022173`, 0.}}]}, 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
             1.7777542928658772`, 1.5143543918029596`}}]}, 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`f], 
           UndirectedEdge[$CellContext`g, $CellContext`c], 
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`d, $CellContext`b], 
           UndirectedEdge[$CellContext`e, $CellContext`c]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
             1.9797153203022173`, 0.}}]}, 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
             1.7777542928658772`, 1.5143543918029596`}}]}, 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{3.8156436468516836`*^9, 3.815760373622221*^9, 
  3.815762107323843*^9, 3.815767977172454*^9},
 CellLabel->"Out[72]=",ExpressionUUID->"b19328ad-2334-450e-b014-34ac999263b2"]
}, Open  ]],

Cell["Kruskal:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.815336823573577*^9}, {3.81541355481253*^9, 
  3.8154135647317333`*^9}},ExpressionUUID->"15f3281c-ec25-42a3-91b1-\
19390e0ffb94"],

Cell["\[CapitalAAcute]rbol recubridor 1:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.815336823573577*^9}, {3.81541355481253*^9, 
  3.8154135647317333`*^9}, {3.815648115681745*^9, 
  3.8156481238710847`*^9}},ExpressionUUID->"cdf1657a-73bd-4be2-89d7-\
c56a31566b77"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"ResaltarRuta", "[", 
    RowBox[{"grafo", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a", ",", "e"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b", ",", "h"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"h", ",", "c"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"d", ",", "b"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"e", ",", "c"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"e", ",", "f"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"c", ",", "g"}], "}"}]}], "}"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "edge"}], "]"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"edge", ",", 
     RowBox[{
      RowBox[{"CantNodos", "[", "grafo", "]"}], "-", "1"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.815648062809467*^9, {3.8157618590494967`*^9, 3.8157618633245745`*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"c4e298f1-ea95-4387-8cdb-06a5abf37c3c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`a, $CellContext`e]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9797153203022173`, 0.}}], 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
            0.8570722002395988}}], 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9797153203022173`, 0.}}], 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9797153203022173`, 0.}}], 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`d, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
             1.9797153203022173`, 0.}}]}, 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`e, $CellContext`c], 
           UndirectedEdge[$CellContext`d, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
             1.9797153203022173`, 0.}}]}, 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`f], 
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`e, $CellContext`c], 
           UndirectedEdge[$CellContext`d, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
             1.9797153203022173`, 0.}}]}, 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`g, $CellContext`c], 
           UndirectedEdge[$CellContext`e, $CellContext`f], 
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`e, $CellContext`c], 
           UndirectedEdge[$CellContext`d, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
             1.9797153203022173`, 0.}}]}, 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
             1.7777542928658772`, 1.5143543918029596`}}]}, 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{
  3.815648079961725*^9, 3.81576187640672*^9, {3.8157621181788735`*^9, 
   3.8157621415364046`*^9}, 3.8157679853976555`*^9},
 CellLabel->"Out[73]=",ExpressionUUID->"899bbcf0-938f-41eb-af11-62c259b16b2e"]
}, Open  ]],

Cell["\[CapitalAAcute]rbol recubridor 2:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.815336823573577*^9}, {3.81541355481253*^9, 
  3.8154135647317333`*^9}, {3.815648115681745*^9, 
  3.815648132805684*^9}},ExpressionUUID->"ceeb30ad-cfaf-4ffe-8ea5-\
06cacdb99514"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"ResaltarRuta", "[", 
    RowBox[{"grafo", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a", ",", "e"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b", ",", "h"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"h", ",", "c"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"d", ",", "b"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"e", ",", "c"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"e", ",", "f"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"h", ",", "g"}], "}"}]}], "}"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "edge"}], "]"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"edge", ",", 
     RowBox[{
      RowBox[{"CantNodos", "[", "grafo", "]"}], "-", "1"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.8156436789115143`*^9, {3.815761905043934*^9, 3.8157619085038047`*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"d705f976-9a6a-43f8-8817-aafa5bfb0a47"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`a, $CellContext`e]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9797153203022173`, 0.}}], 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
            0.8570722002395988}}], 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9797153203022173`, 0.}}], 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9797153203022173`, 0.}}], 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`d, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
             1.9797153203022173`, 0.}}]}, 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`e, $CellContext`c], 
           UndirectedEdge[$CellContext`d, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
             1.9797153203022173`, 0.}}]}, 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`f], 
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`e, $CellContext`c], 
           UndirectedEdge[$CellContext`d, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
             1.9797153203022173`, 0.}}]}, 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            2.7649516074581406`, 0.8570722002395988}}], 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`d, $CellContext`f, $CellContext`b, \
$CellContext`g, $CellContext`c, $CellContext`e, $CellContext`h}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {5, 6}, {2, 3}, {2, 5}, {7, 4}, {7, 
         6}, {7, 2}, {7, 3}, {7, 5}, {3, 6}, {5, 4}, {8, 6}, {8, 5}, {1, 7}, {
         4, 8}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`e, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`b] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`c] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`c] -> 1, 
           UndirectedEdge[$CellContext`f, $CellContext`c] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 5, 
           UndirectedEdge[$CellContext`e, $CellContext`b] -> 4, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`e] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`g, $CellContext`b] -> 5, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 2}, 
         EdgeWeight -> {4, 5, 1, 2, 5, 5, 4, 2, 8, 2, 8, 8, 5, 1, 2, 1, 1}, 
         GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`f], 
           UndirectedEdge[$CellContext`h, $CellContext`g], 
           UndirectedEdge[$CellContext`h, $CellContext`c], 
           UndirectedEdge[$CellContext`b, $CellContext`h], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`e, $CellContext`c], 
           UndirectedEdge[$CellContext`d, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0., 0.5853011806845905}, {0.9101360340558924, 
            0.20015984345448212`}}], 
           InsetBox["4", {0.4550680170279462, 0.3927305120695363}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.5853011806845905}, {0.5733373193453002, 
            1.2916885428553262`}}], 
           InsetBox["5", {0.2866686596726501, 0.9384948617699583}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.5853011806845905}, {1.1291319652258553`, 
             0.7769772748437366}}]}, 
           InsetBox["1", {0.5645659826129277, 0.6811392277641635}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            0.5733373193453002, 1.2916885428553262`}}], 
           InsetBox["5", {0.7417366767005963, 0.7459241931549041}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
             1.9797153203022173`, 0.}}]}, 
           InsetBox["1", {1.4449256771790548, 0.10007992172724106}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.9550156041338091`, 0.6716044747431269}}], 
           InsetBox["5", {1.4325758190948508, 0.4358821590988045}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9101360340558924, 0.20015984345448212`}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.0196339996408739, 0.48856855914910935}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["8", {1.1755458061055886, 1.4030214673291428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.5733373193453002, 1.2916885428553262`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {0.8512346422855778, 1.0343329088495314}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.9550156041338091`, 
            0.6716044747431269}}], 
           InsetBox["5", {1.9673654622180132, 0.33580223737156345}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9797153203022173`, 0.}, {1.1291319652258553`, 
            0.7769772748437366}}], 
           InsetBox["4", {1.5544236427640363, 0.3884886374218683}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9797153203022173`, 0.}, {2.7649516074581406`, 
             0.8570722002395988}}]}, 
           InsetBox["1", {2.372333463880179, 0.4285361001197994}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.7777542928658772`, 1.5143543918029596`}}], 
           InsetBox["2", {1.8663849484998432, 1.0929794332730434}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
            1.1291319652258553`, 0.7769772748437366}}], 
           InsetBox["8", {1.5420737846798322, 0.7242908747934318}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9550156041338091`, 0.6716044747431269}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["2", {2.359983605795975, 0.7643383374913628}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             1.1291319652258553`, 0.7769772748437366}}]}, 
           InsetBox["2", {1.4534431290458663, 1.145665833323348}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.7777542928658772`, 1.5143543918029596`}, {
             2.7649516074581406`, 0.8570722002395988}}]}, 
           InsetBox["1", {2.271352950162009, 1.1857132960212793}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {DiskBox[{0., 0.5853011806845905}, 0.02852985859405388], 
           InsetBox["a", 
            Offset[{2, 2}, {0.02852985859405388, 0.6138310392786444}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9101360340558924, 0.20015984345448212}, 
            0.02852985859405388], 
           InsetBox["d", 
            Offset[{2, 2}, {0.9386658926499463, 0.228689702048536}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.5733373193453002, 1.2916885428553262}, 
            0.02852985859405388], 
           InsetBox["f", 
            Offset[{2, 2}, {0.6018671779393541, 1.32021840144938}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9797153203022173, 0.}, 0.02852985859405388], 
           InsetBox["b", 
            Offset[{2, 2}, {2.008245178896271, 0.02852985859405388}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9550156041338091, 0.6716044747431269}, 
            0.02852985859405388], 
           InsetBox["g", 
            Offset[{2, 2}, {1.983545462727863, 0.7001343333371808}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7777542928658772, 1.5143543918029596}, 
            0.02852985859405388], 
           InsetBox["c", 
            Offset[{2, 2}, {1.806284151459931, 1.5428842503970135}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291319652258553, 0.7769772748437366}, 
            0.02852985859405388], 
           InsetBox["e", 
            Offset[{2, 2}, {1.1576618238199092, 0.8055071334377905}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.7649516074581406, 0.8570722002395988}, 
            0.02852985859405388], 
           InsetBox["h", 
            Offset[{2, 2}, {2.7934814660521945, 0.8856020588336527}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{
  3.815643685014786*^9, 3.8156480857638197`*^9, 3.8157619090017242`*^9, {
   3.815762124776168*^9, 3.815762136139981*^9}, 3.8157679887018185`*^9},
 CellLabel->"Out[74]=",ExpressionUUID->"1f190be2-1b48-485d-90f0-a71be64561e4"]
}, Open  ]]
},
WindowSize->{949., 472.5},
WindowMargins->{{-960, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"67c3144d-f4fc-49a1-8939-6e5c2c96699e"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 200, 3, 63, "Input",ExpressionUUID->"598afc19-aa3f-4a0c-85db-d3be449b5c22"],
Cell[CellGroupData[{
Cell[783, 27, 2283, 57, 275, "Input",ExpressionUUID->"0312fbe1-beee-4214-a682-8b26901d033d"],
Cell[3069, 86, 8682, 162, 521, "Output",ExpressionUUID->"839cd7ae-9a8d-48ea-b483-df03475c8eb3"],
Cell[11754, 250, 2345, 63, 160, "Output",ExpressionUUID->"b61ac4b5-8bd9-4293-b7e4-4f7bad3c8328"]
}, Open  ]],
Cell[14114, 316, 248, 4, 75, "Text",ExpressionUUID->"be6923f6-dd48-4f50-92e7-5fb863176d80"],
Cell[CellGroupData[{
Cell[14387, 324, 1006, 30, 189, "Input",ExpressionUUID->"36aff65d-196e-4e24-9b91-654a9dfb6591"],
Cell[15396, 356, 64379, 1258, 1234, "Output",ExpressionUUID->"b19328ad-2334-450e-b014-34ac999263b2"]
}, Open  ]],
Cell[79790, 1617, 250, 4, 75, "Text",ExpressionUUID->"15f3281c-ec25-42a3-91b1-19390e0ffb94"],
Cell[80043, 1623, 327, 5, 75, "Text",ExpressionUUID->"cdf1657a-73bd-4be2-89d7-c56a31566b77"],
Cell[CellGroupData[{
Cell[80395, 1632, 1057, 31, 189, "Input",ExpressionUUID->"c4e298f1-ea95-4387-8cdb-06a5abf37c3c"],
Cell[81455, 1665, 64410, 1259, 1234, "Output",ExpressionUUID->"899bbcf0-938f-41eb-af11-62c259b16b2e"]
}, Open  ]],
Cell[145880, 2927, 325, 5, 75, "Text",ExpressionUUID->"ceeb30ad-cfaf-4ffe-8ea5-06cacdb99514"],
Cell[CellGroupData[{
Cell[146230, 2936, 1057, 31, 189, "Input",ExpressionUUID->"d705f976-9a6a-43f8-8817-aafa5bfb0a47"],
Cell[147290, 2969, 64433, 1259, 2211, "Output",ExpressionUUID->"1f190be2-1b48-485d-90f0-a71be64561e4"]
}, Open  ]]
}
]
*)

